Bug 115761 - new port: devel/py-boto
Summary: new port: devel/py-boto
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Vasil Dimov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-08-23 19:40 UTC by Peter Schuller
Modified: 2007-08-30 16:22 UTC (History)
1 user (show)

See Also:


Attachments
py-boto-newport-2.shar (7.60 KB, application/x-shar)
2007-08-26 16:49 UTC, Peter Schuller
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Peter Schuller 2007-08-23 19:40:01 UTC
	New port devel/py-boto, the Amazon Web Services library. Needed for duplicity 0.4.3
        (PR for that update forthcoming).

        Testing showed one problem for me on 7-CURRENT/amd64. When using python 2.4, setup.py
        does not correctly install into the appropriate site-packages, but to
        build/bdist.freebsd-7.0-CURRENT-amd64/egg instead. Some Googling indicates this might
        be a more generic problem having to do with the python 2.4 distutils on amd64:

           http://archive.netbsd.se/?ml=freebsd-python&a=2007-04&m=3555243

        Hopefully the person processing this bug will be able to tell whether this is the case,
        or whether there is a problem with the port. It does work with python 2.5 on 7-CURRENT,
        and 2.4 on 6.1/x86.

Fix: 

Shar archive:

        http://distfiles.scode.org/ports/py-boto-newport.shar
Comment 1 Edwin Groothuis freebsd_committer 2007-08-23 19:40:07 UTC
Class Changed
From-To: update->change-request

Fix category (new ports should be change-requests)
Comment 2 Edwin Groothuis freebsd_committer 2007-08-23 19:40:15 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-python

freebsd-python@ wants to have py- PRs
Comment 3 Vasil Dimov freebsd_committer 2007-08-24 07:34:48 UTC
State Changed
From-To: open->feedback

Peter, can you please resubmit the shar with the following changes: 

* Add the heading comments just as in any other port. Use $FreeBSD$, it will 
be expanded automatically 

* Use ports-mgmt/portlint to check the port before submitting the shar, 
it should produce no warnings or fatals 

* pkg-plist must be sorted alphabetically, not like this: 
%%PYTHON_SITELIBDIR%%/boto/ec2/__init__.pyc 
%%PYTHON_SITELIBDIR%%/boto/ec2/connection.pyc 
%%PYTHON_SITELIBDIR%%/boto/ec2/image.pyc 
%%PYTHON_SITELIBDIR%%/boto/ec2/instance.pyc 
%%PYTHON_SITELIBDIR%%/boto/ec2/keypair.pyc 
%%PYTHON_SITELIBDIR%%/boto/ec2/securitygroup.pyc 
%%PYTHON_SITELIBDIR%%/boto/ec2/__init__.pyo 

* Explain why is files/patch-setup.py needed? What happens, without that 
patch? 

* Remove the trailing space after "Mechanical Turk" in pkg-descr 

* Submit the shar as an attachment so it is available in the PR system 
even after you remove it from your site. Uploading it into your site 
and posting a link makes it easier to fetch, if you are not bothered, 
do both :-) 

Thanks!
Comment 4 Peter Schuller 2007-08-26 16:49:11 UTC
Sorry about the incompleteness/incorrectness of the submission. Been a
while since I submitted a port last, and I should have taken more time
to ensure I was complying.

> * Add the heading comments just as in any other port. Use $FreeBSD$, it will
>   be expanded automatically

Done.

> * Use ports-mgmt/portlint to check the port before submitting the shar,
>   it should produce no warnings or fatals

Done. It correctly points out the non-redundancy of MASTER_SITES. I'd
be happy to host a mirror on distfiles.scode.org if that is considered
appropriate. Should I do that and re-submit?

> * pkg-plist must be sorted alphabetically, not like this:
>   %%PYTHON_SITELIBDIR%%/boto/ec2/__init__.pyc
>   %%PYTHON_SITELIBDIR%%/boto/ec2/connection.pyc
>   %%PYTHON_SITELIBDIR%%/boto/ec2/image.pyc
>   %%PYTHON_SITELIBDIR%%/boto/ec2/instance.pyc
>   %%PYTHON_SITELIBDIR%%/boto/ec2/keypair.pyc
>   %%PYTHON_SITELIBDIR%%/boto/ec2/securitygroup.pyc
>   %%PYTHON_SITELIBDIR%%/boto/ec2/__init__.pyo

Done.

> * Explain why is files/patch-setup.py needed? What happens, without that
>   patch?

Added comment to patch. It got installed as PREFIX/bin/test.py which
is a very generic name. In the interest of minimal downstream
patching/maintenance, I just commented it out rather than renamed it
or made it be installed elsewhere, given that it is not likely to be
very interesting for users of the port.

> * Remove the trailing space after "Mechanical Turk" in pkg-descr

Done.

> * Submit the shar as an attachment so it is available in the PR system
>   even after you remove it from your site. Uploading it into your site
>   and posting a link makes it easier to fetch, if you are not bothered,
>   do both :-)

Attached. Also available as:

http://distfiles.scode.org/ports/py-boto-newport-2.shar

-- 
/ Peter Schuller

PGP userID: 0xE9758B7D or 'Peter Schuller <peter.schuller@infidyne.com>'
Key retrieval: Send an E-Mail to getpgpkey@scode.org
E-Mail: peter.schuller@infidyne.com Web: http://www.scode.org
Comment 5 dfilter service freebsd_committer 2007-08-30 16:16:29 UTC
vd          2007-08-30 15:16:24 UTC

  FreeBSD ports repository

  Modified files:
    devel                Makefile 
  Added files:
    devel/py-boto        Makefile distinfo pkg-descr pkg-plist 
    devel/py-boto/files  patch-setup.py 
  Log:
  Add new port devel/py-boto: Python interface to Amazon Web Services
  
  An integrated interface to current and future infrastructural services
  offered by Amazon Web Services. Currently, this includes:
  
    * Simple Storage Service (S3)
    * Simple Queue Service (SQS)
    * Elastic Compute Cloud (EC2)
    * Mechanical Turk
  
  WWW: http://code.google.com/p/boto
  
  PR:             ports/115761
  Submitted by:   Peter Schuller <peter.schuller@infidyne.com>
  
  Revision  Changes    Path
  1.2859    +1 -0      ports/devel/Makefile
  1.1       +20 -0     ports/devel/py-boto/Makefile (new)
  1.1       +3 -0      ports/devel/py-boto/distinfo (new)
  1.1       +13 -0     ports/devel/py-boto/files/patch-setup.py (new)
  1.1       +9 -0      ports/devel/py-boto/pkg-descr (new)
  1.1       +111 -0    ports/devel/py-boto/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Vasil Dimov freebsd_committer 2007-08-30 16:21:36 UTC
State Changed
From-To: feedback->closed

New port committed with a few changes. 

Thank you! 


Comment 7 Vasil Dimov freebsd_committer 2007-08-30 16:21:36 UTC
Responsible Changed
From-To: freebsd-python->vd

New port committed with a few changes. 

Thank you!